# $Revision: 1.13 $, $Date: 2002/05/22 15:22:30 $
Summary:	GnomeCanvas widget
Summary(pl):	Widget GnomeCanvas
Name:		libgnomecanvas
Version:	1.117.0
Release:	2
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/gnome/pre-gnome2/sources/libgnomecanvas/%{name}-%{version}.tar.bz2
Patch0:		%{name}-gtk-doc.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libart_lgpl-devel >= 2.3.8
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The canvas widget allows you to create custom displays using stock
items such as circles, lines, text, and so on. It was originally a
port of the Tk canvas widget but has evolved quite a bit over time.

%description -l pl
Widget canvas pozwala tworzy wasne widoki przy uyciu zgromadzonych
rzeczy takich jak koa, linie, tekst itp. Oryginalnie by to port
widgetu Tk canvas, ale od tamtego czasu nieco wyewoluowa.

%package devel
Summary:	libgnomecanvas header files
Summary(pl):	Pliki nagwkowe libgnomecanvas
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development part of libgnomecanvas - header files.

%description devel -l pl
Cz libgnomecanvas dla programistw - pliki nagwkowe.

%package static
Summary:	Static libgnomecanvas library
Summary(pl):	Statyczna biblioteka libgnomecanvas
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of libgnomecanvas library.

%description static -l pl
Statyczna wersja biblioteki libgnomecanvas.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/libgnomecanvas-2.0

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgnomecanvas.spec,v $
Revision 1.13  2002/05/22 15:22:30  kloczek
- added gtk-doc patch to autoconf for handle disable/enable using gtk-doc
  like in other gnome 2.x projects,
- use new %doc packing infrastructure,
- added regenerate ac/am/lt files.

Revision 1.12  2002/05/14 17:12:58  michuz
- added BR
- fixed %%files

Revision 1.11  2002/05/14 16:18:21  michuz
- updated %%files

Revision 1.10  2002/05/14 14:40:16  wiget
update to 1.117.0

Revision 1.9  2002/04/30 13:20:06  michuz
- 1.116.0

Revision 1.8  2002/04/26 15:16:52  michuz
- updated to 1.115.0

Revision 1.7  2002/04/14 09:52:23  michuz
- fixed BR

Revision 1.6  2002/04/14 09:48:00  michuz
- updated to 1.114.0

Revision 1.5  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/29 09:36:43  qboosh
- fixed -devel Group, added -static preamble and pl translation

Revision 1.3  2002/01/28 12:46:43  ankry
- updated to 1.109.0 (1.108.0.90 does not exist on ftp.gnome.org)

Revision 1.2  2002/01/28 04:17:31  kloczek
- partialy rewrited but NYF.

Based on spec from RH.
